summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorRonny Lorenz2015-09-18 13:01:18 +0200
committerRonny Lorenz2015-09-18 13:01:18 +0200
commite6ac934a989a1787b4af3c65cb710c6921503743 (patch)
treea7c1399ee1c4c8dc98c6f56ad37c9bcaa4cd4ec6 /PKGBUILD
downloadaur-e6ac934a989a1787b4af3c65cb710c6921503743.tar.gz
Initial commit of v0.3.1
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD27
1 files changed, 27 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..89d9c7e8500
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,27 @@
+# Maintainer: Ronny Lorenz <ronny at tbi dot univie dot ac dot at>
+
+pkgname=treekin
+pkgver=0.3.1
+pkgrel=1
+pkgdesc="Efficient computation of RNA folding dynamics"
+arch=('x86_64' 'i686')
+license=('Custom')
+url="http://www.tbi.univie.ac.at/RNA/Treekin"
+depends=('blas' 'lapack')
+optdepends=('barriers: Compute generated transition rate matrices')
+makedepends=()
+provides=()
+source=(http://www.tbi.univie.ac.at/RNA/Treekin/Treekin-${pkgver}.tar.gz)
+md5sums=('54d59ba74c9b56014f4ca93ef6c178c2')
+
+build() {
+ cd "${srcdir}/Treekin-${pkgver}"
+ ./configure --prefix=/usr || return 1
+ make || return 1
+}
+
+package() {
+ cd "${srcdir}/Treekin-${pkgver}"
+ make DESTDIR="${pkgdir}" install || return 1
+}
+